#Tipit

Ten Item Personality Inventory Test (Beta)

A simple Javascript library based on the Ten Item Personality Measure (TIPI) outlined <a href="http://gosling.psy.utexas.edu/scales-weve-developed/ten-item-personality-measure-tipi/" title="Link to Ten Item Personality Measure (TIPI)">HERE</a>.

The idea behind the TIPI is to reduce the number of questions in a personality test down from 60ish to just ten, making the assumption that the one taking the test will be aware of their own personality.

This library will calculate the following:
* Big Five Personality Traits (based on TIPI)
* Estimate Briggs Type
* Estimate Keirsey Temperament and Role

<pre>
var Tipit = require("tipit")


  var tipit = new Tipit();
  tipit.set('extraverted', 1)
        .set('critical', 5)
        .set('dependable', 7)
        .set('anxious', 1)
        .set('openess', 5)
        .set('reserved', 6)
        .set('sympathetic', 6)
        .set('disorganized', 5)
        .set('calm', 7)
        .set('conventional', 7);

  var results = tipit.calculate();
  console.log(results);
</pre>
