/* eslint-disable */

var assert = require('assert'),
    Tipit = require('./../index');

describe('Tipit', function() {

  describe('invalid_question_name#set()', function(tipi) {
    it('Should return Error', function() {
      var tipit = new Tipit();

      assert.throws(function () {
          tipit.set('bob', 3);
      }, function (error) {
        if ( (error instanceof Error) ) {
          return true;
        }
      }, 'Expected Error Thrown');
    });

  });

  describe('invalid_value#set()', function(tipi) {
    it('Should return Error', function() {
      var tipit = new Tipit();

      assert.throws(function () {
          tipit.set('extraverted', 8);
      }, function (error) {
        if ( (error instanceof Error) ) {
          return true;
        }
      }, 'Expected Error Thrown');
    });

  });

  describe('#calculate()', function(tipit) {
    it('Should return object', function() {
      var tipit = new Tipit(),
          type = '';

      tipit.
        set('extraverted', 5).
        set('critical', 4).
        set('dependable', 6).
        set('anxious', 3).
        set('openness', 2).
        set('reserved', 5).
        set('sympathetic', 5).
        set('disorganized', 2).
        set('calm', 7).
        set('conventional', 5)
        .calculate();

      type = typeof tipit.results;
      
      assert.equal('object', type);
    });
  });



});
